import request from '@/utils/request'

// 查询金蝶资产卡片列表
export function listAssetCard(query) {
  return request({
    url: '/system/assetCard/list',
    method: 'get',
    params: query
  })
}

// 查询金蝶资产卡片详细
export function getAssetCard(id) {
  return request({
    url: '/system/assetCard/' + id,
    method: 'get'
  })
}

// 新增金蝶资产卡片
export function addAssetCard(data) {
  return request({
    url: '/system/assetCard',
    method: 'post',
    data: data
  })
}

// 修改金蝶资产卡片
export function updateAssetCard(data) {
  return request({
    url: '/system/assetCard',
    method: 'put',
    data: data
  })
}

// 删除金蝶资产卡片
export function delAssetCard(id) {
  return request({
    url: '/system/assetCard/' + id,
    method: 'delete'
  })
}

// 批量更新金蝶资产卡片
export function updateAssetCardBatch() {
  return request({
    url: '/system/assetCard/updateAssetCard',
    method: 'post'
  })
}